## matplotlib 1.2.0

=== debian/changelog ===
matplotlib (1.2.0-1) experimental; urgency=low

  * New upstream release
  * debian/{control, rules}
    - run tests for python3 module
  * debian/{control, README.debian}
    - add several missing dependencies (and b-d) for Matplotlib backends
  * debian/rules
    - no longer set examples.* options in matplotlibrc when building doc (they
      are not needed with 1.2.0)
  * debian/patches/60_bts691960_reintroduce_examples.directory_rcparam.patch
    - reintroduce (removed in 1.2.x series) 'examples.directory' rc parameter,
      in order to specify the Debian custom sample_data path; thanks to Julian
      Taylor for the report; Closes: #691960

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Nov 2012 12:17:37 +0100

matplotlib (1.2.0~rc2-2) experimental; urgency=low

  * debian/{control, rules}
    - provide Python 3 packages, based on the work of Thomas Kluyver (thanks!);
      thanks to Yaroslav Halchenko for the report; Closes: #669272

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Oct 2012 22:55:15 +0200

matplotlib (1.2.0~rc2-1) experimental; urgency=low

  * New upstream release candidate
  * debian/control
    - updated Homepage field to new upstream website location
  * debian/copyright
    - converted to DEP-5 format
    - updated to new upstream code
    - extended packaging copyright years
  * debian/patches/60_new_syntax_to_load_searchindex.patch
    - removed, merged upstream
  * debian/watch
    - updated to point to github
  * debian/patches/30_disable_sample_downloads.patch
    - removed, no longer needed
  * debian/patches/10_build_fix.patch
    - disabled, but not removed in case we'll have to restore it
  * debian/python-matplotlib-data.install
    - install sampledata from new location (now it's in upstream tarball)
    - use matplotlibrc.template to install base matplotlib.conf file
  * debian/rules
    - set backend and not datapath in matplotlibrc when running tests
    - fix broken symlinks to TrueType fonts; thanks to Ian Zimmerman for the
      report; Closes: #687674
  * debian/{control, rules}
    - run tests under 'xvfb-run', needed to run inkscape (which is required to
      compare SVG images); adding relevant b-d (xvfb and xauth)

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Sep 2012 19:44:06 +0200

=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7),
               dvipng,
               ghostscript,
               graphviz,
               inkscape,,
               libfreetype6-dev,
               libgtk2.0-dev,
               libpng-dev,
               python-all-dbg (>= 2.4.4-6),
               python-all-dev (>= 2.3.5-7),
               python3-all-dbg,
               python3-all-dev,
               python-dateutil,
               python-cairo,
               python3-cairo,
               python3-dateutil,
               python-gi,
               python3-gi,
               python-gtk2-dev,
               python-imaging,
               python-nose,
               python3-nose,
               python-numpy (>= 1:1.5.1-4),
               python-numpy-dbg (>= 1:1.5.1-4),
               python3-numpy,
               python3-numpy-dbg,
               python-pkg-resources,
               python3-pkg-resources,
               python-qt4,
               python3-pyqt4,
               python-setuptools,
               python3-setuptools,
               python3-six,
               python-sphinx (>= 1.0.7+dfsg),
               python-support (>= 1.0.0),
               python-tk (>= 2.5.2-1.1),
               python3-tk,
               python-tz,
               python3-tz,
               python-wxgtk2.8,
               python-xlwt,
               tcl8.5-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.5-dev,
               xauth,
               xvfb,
               zlib1g-dev
XS-Python-Version: all
X-Python3-Version: >= 3.2
Standards-Version: 3.9.3
Homepage: http://matplotlib.org/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/

Package: python-matplotlib
Architecture: any
Depends: python-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python-pyparsing,
         python-tz,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-glade2, python-tk (>= 2.5.2-1.1)
Enhances: ipython
Suggests: dvipng,
          gir1.2-gtk-3.0,
          ipython (>= 0.6.3),
          librsvg2-common,
          python-cairo,
          python-configobj,
          python-excelerator,
          python-fltk,
          python-gobject,
          python-gtk2,
          python-matplotlib-doc,
          python-qt4,
          python-scipy,
          python-sip,
          python-traits (>= 2.0),
          python-wxgtk2.8,
          texlive-extra-utils,
          texlive-latex-extra
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python3-matplotlib
Architecture: any
Depends: python3-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python3-pyparsing,
         python3-six,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-tk
Enhances: ipython3
Suggests: dvipng,
          gir1.2-gtk-3.0,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairo,
          python3-gi,
          python3-gobject,
          python3-pyqt4,
          python3-scipy,
          python3-sip,
          texlive-extra-utils,
          texlive-latex-extra
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx, ${misc:Depends}
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python-all-dbg,
         python-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Priority: extra
Depends: python3-all-dbg,
         python3-matplotlib (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -v -r debian/control)
PY3VERS := $(shell py3versions -v -r debian/control)
DEFPY := $(shell pyversions -v -d)
PY_PLATFORM := $(shell python -c 'from distutils.util import get_platform; print get_platform()')
pd := python-matplotlib-doc
p := python-matplotlib
p3 := python3-matplotlib
pdata := python-matplotlib-data
pdbg := python-matplotlib-dbg
p3dbg := python3-matplotlib-dbg

# build
build: build-arch build-indep

build-indep: build-indep-stamp
build-indep-stamp: $(DEFPY:%=build-%-stamp)
	dh_testdir

	# build the doc
	-( cd doc ; MPLCONFIGDIR=. MATPLOTLIBDATA=../lib/matplotlib/mpl-data/ \
		PYTHONPATH=../build/lib.$(PY_PLATFORM)-$(DEFPY) ./make.py --small all )

	touch $@

build-arch: $(PY2VERS:%=build-%-stamp) $(PY3VERS:%=build-%-stamp)

build-%-stamp:
	dh_testdir

	cp -f debian/setup.cfg setup.cfg
	python$* ./setup.py build $(PY_BUILD_FLAGS)
	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend      : TkAgg" > matplotlibrc
	-PYTHONPATH=$(shell python$* -c "from distutils.command.build import build ; \
	                                from distutils.core import Distribution ; \
					b = build(Distribution()) ; \
					b.finalize_options() ; \
					print(b.build_platlib)") \
	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
	MPLCONFIGDIR=. \
		xvfb-run python$* -c "import matplotlib as m ; m.test(verbosity=1)"

	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
	                                    from distutils.core import Distribution ; \
					    b = build(Distribution()) ; \
					    b.finalize_options() ; \
					    print(b.build_platlib)") \
	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
	MPLCONFIGDIR=. \
		xvfb-run python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
	rm -f matplotlibrc
endif

	touch $@


# clean
clean:
	dh_testdir
	dh_testroot
	
	for i in $(PY2VERS) $(PY3VERS); do \
		python$(i) ./setup.py clean --all; \
		python$(i)-dbg ./setup.py clean --all; \
	done

	# clean the doc
	-( cd doc ; ./make.py clean )

	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
	rm -rf doc/build doc/examples
	rm -f doc/mpl_examples/api/*.png
	rm -f doc/mpl_examples/pylab_examples/*.png
	rm -f doc/mpl_examples/pylab_examples/*.pdf
	rm -f doc/mpl_examples/units/*.png
	rm -f doc/pyplots/tex_demo.png
	rm -f doc/_static/matplotlibrc
	rm -f doc/_templates/gallery.html

	find . -name '*.pyc' -exec rm {} \;

	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
	rm -rf build
	rm -rf lib/matplotlib.egg-info

	# restore "pristine" doc/matplotlibrc
	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc

# install
install-arch: build-arch $(PY2VERS:%=install-%-stamp) $(PY3VERS:%=install-py3-%-stamp)
	dh_testdir
	dh_testroot
	dh_numpy
	dh_numpy3

install-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/ --no-compile
	python$* ./setupegg.py install_egg_info \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/ --no-compile

	find debian/$(pdbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(pdbg) -depth -empty -exec rmdir {} \;

	# don't install baseline_images, needed for tests only, but huge
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/*-packages/matplotlib/tests/baseline_images/

	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	touch $@

install-py3-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ --no-compile
	python$* ./setup.py install_egg_info \
		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/ --no-compile

	find debian/$(p3dbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(p3dbg) -depth -empty -exec rmdir {} \;

	# don't install baseline_images, needed for tests only, but huge
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/*-packages/matplotlib/tests/baseline_images/

	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	touch $@

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_install -p $(pdata)
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/pdfcorefonts/readme.txt
	chmod 644 $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/images/*.svg
	# link to fonts in ttf-lyx
	for font in cmex10.ttf cmmi10.ttf cmr10.ttf cmsy10.ttf ; \
	do \
	    ln -sf /usr/share/fonts/truetype/lyx/$$font $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/$$font; \
	done

# binary
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGELOG
	dh_installdocs -p$(pd) -i doc/build/html/ doc/build/latex/Matplotlib.pdf
	# remove pyc file from doc
	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs rm -f
	dh_installexamples -p$(pd) -i examples/*
	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
	dh_link -i
	dh_sphinxdoc
	dh_lintian -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a CHANGELOG
	dh_installdocs -p$(p) -a README.txt TODO
	# make python scripts starting with '#!' executable
	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!'; then \
			chmod 755 $$i; \
			echo "made executable: $$i"; \
		fi; \
	done
	dh_pysupport -a
	dh_python3 -a
	dh_link -a
	dh_lintian -a
	dh_strip -a -p$(p) --dbg-package=$(pdbg)
	dh_strip -a -p$(p3) --dbg-package=$(p3dbg)
	# fix python-debug-in-wrong-location lintian warning
	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/matplotlib/matplotlib/downloads .*/matplotlib-(.*).tar.gz

## matplotlib 1.2.1

=== debian/changelog ===
matplotlib (1.2.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix release
  * multiarch-tktcl.patch:
    add multiarch path to tk/tclConfig.sh search path

 -- Julian Taylor <jtaylor@ubuntu.com>  Wed, 17 Apr 2013 21:15:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper (>= 7),
                dvipng,

## matplotlib 1.3.1

=== Makefile ===
# Makefile for matplotlib

PYTHON = `which python`
VERSION = `${PYTHON} setup.py --version`

DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README TODO license	\
	CHANGELOG Makefile INTERACTIVE			\
	MANIFEST.in lib lib/matplotlib lib/dateutil lib/pytz examples setup.py

RELEASE = matplotlib-${VERSION}


clean:
	${PYTHON} setup.py clean;\
	rm -f *.png *.ps *.eps *.svg *.jpg *.pdf
	find . -name "_tmp*.py" | xargs rm -f;\
	find . \( -name "*~" -o -name "*.pyc" \) | xargs rm -f;\
	find unit \( -name "*.png" -o -name "*.ps"  -o -name "*.pdf" -o -name "*.eps" \) | xargs rm -f
	find . \( -name "#*" -o -name ".#*" -o -name ".*~" -o -name "*~" \) | xargs rm -f


release: ${DISTFILES}
	rm -f MANIFEST;\
	${PYTHON} license.py ${VERSION} license/LICENSE;\
	${PYTHON} setup.py sdist --formats=gztar,zip;

pyback:
	tar cvfz pyback.tar.gz *.py lib src examples/*.py  unit/*.py


_build_osx105:
	CFLAGS="-Os -arch i386 -arch ppc" LDFLAGS="-Os -arch i386 -arch ppc" python setup.py build

build_osx105:
	echo "Use 'make -f fetch deps mpl_install instead'"


jdh_doc_snapshot:
	git pull;\
	python setup.py install --prefix=~/dev;\
	cd doc;\
	rm -rf build;\
	python make.py clean;\
	python make.py html latex sf sfpdf;


test:
	${PYTHON} tests.py


test-coverage:
	${PYTHON} tests.py --with-coverage --cover-package=matplotlib

=== debian/changelog ===
matplotlib (1.3.1-1ubuntu5.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Buffer Overrun
    - debian/patches/CVE-2013-1424: Replace vsprintf with vsnprintf to avoid
      buffer overrun. The patch is thanks to Debian.
    - CVE-2013-1424

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 04 Dec 2018 10:39:06 -0500

matplotlib (1.3.1-1ubuntu5) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:10 +0100

matplotlib (1.3.1-1ubuntu4) trusty; urgency=medium

  * Fix build failure with updated numpy.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Mar 2014 11:55:45 +0100

matplotlib (1.3.1-1ubuntu3) trusty; urgency=medium

  [ Tim Lunn ]
  * debian/control: Build depend against tcl/tk 8.6 since this is the default
    for python2.7 now (LP: #1266605)

  [ Julian Taylor ]
  * add python{,3}-tk-dbg build dependency for debug tkagg backend
  * add autopkgtest doing basic testing of a few backends

 -- Tim Lunn <tim@feathertop.org>  Tue, 07 Jan 2014 11:08:52 +1100

matplotlib (1.3.1-1ubuntu2) trusty; urgency=low

  * Backport upstream patch (fix_infinite_recursion.diff) to fix nitime
    build failure.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 24 Dec 2013 19:31:52 +0400

matplotlib (1.3.1-1ubuntu1) trusty; urgency=low

  * Merge with Debian unstable. Remaining changes:
    - multiarch-tktcl.patch: add multiarch path to tk/tclConfig.sh search path
      (LP #752647)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 29 Oct 2013 07:17:53 +0100

matplotlib (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU, thanks Anton Gladky; Closes: #719065, #719384
  * debian/patches/70_fix_UnicodeDecodeError.patch
    - removed, merged upstream
  * debian/{control, README.debian}
    - added nose and tornado to Suggests, needed to require matplotlib with
      pkg_resources; thanks to Javi Merino for the report; Closes: #725048
  * debian/control
    - added ghostscript and inkscape to Suggests (to run tests) and
      python-imaging to Recommends (enhance mpl usage); thanks to Tobias Megies
      for the report; Closes: #725047
    - added python{,3}-tornato to b-d, needed for tests
  * debian/{control, patches/70_bts720549_try_StayPuft_for_xkcd.patch}
    - try also StayPuft font when using xkcd style function; thanks to Elena
      Grandi for the report; Closes: #720549

 -- Sandro Tosi <morph@debian.org>  Sun, 13 Oct 2013 10:47:22 +0200

matplotlib (1.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix error in font_manager.py: UnicodeDecodeError when starting 
    ipython --pylab. (Closes: #719065)
  * Fix AttributeError error where there are no writable directories.

 -- Anton Gladky <gladk@debian.org>  Sun, 29 Sep 2013 16:10:15 +0200

matplotlib (1.3.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * New upstream release; thanks to Julian Taylor for the report;
    Closes: #705631
  * debian/watch
    - switch back to SF for upstream tarballs
  * Remove references to Fltk backend, now removed upstream
  * debian/control
    - add python-numpydoc to b-d, needed to build doc
    - add python{,3}-pyparsing, it's no longer bundled in the upstream tarball;
      Closes: #531024
    - bump Standards-Version to 3.9.4 (no changes needed)
  * debian/README.debian
    - changed location of user-specific config file
  * debian/patches/*
    - refreshed and removed merged patch
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright notice
  * debian/rules
    - setupegg.py was removed, use setup.py instead
    - remove .pyc files from -doc package

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix typos in README.debian.

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Aug 2013 22:15:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dvipng,
                ghostscript,
                graphviz,
-               inkscape,,
+               inkscape,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
@@ -17,9 +17,9 @@
                python3-all-dbg,
                python3-all-dev,
                python-dateutil,
+               python3-dateutil,
                python-cairo,
                python3-cairo,
-               python3-dateutil,
                python-gi,
                python3-gi,
                python-gtk2-dev,
@@ -28,10 +28,13 @@
                python3-nose,
                python-numpy (>= 1:1.5.1-4),
                python-numpy-dbg (>= 1:1.5.1-4),
+               python-numpydoc,
                python3-numpy,
                python3-numpy-dbg,
                python-pkg-resources,
                python3-pkg-resources,
+               python-pyparsing,
+               python3-pyparsing,
                python-qt4,
                python3-pyqt4,
                python-setuptools,
@@ -40,25 +43,30 @@
                python-sphinx (>= 1.0.7+dfsg),
                python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
+               python-tk-dbg (>= 2.5.2-1.1),
                python3-tk,
+               python3-tk-dbg,
+               python-tornado,
+               python3-tornado,
                python-tz,
                python3-tz,
                python-wxgtk2.8,
                python-xlwt,
-               tcl8.5-dev,
+               tcl8.6-dev,
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
-               tk8.5-dev,
+               tk8.6-dev,
                xauth,
                xvfb,
                zlib1g-dev
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://matplotlib.org/
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/matplotlib/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/matplotlib/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
+XS-Testsuite: autopkgtest
 
 Package: python-matplotlib
 Architecture: any
@@ -69,26 +77,32 @@
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
-Recommends: python-glade2, python-tk (>= 2.5.2-1.1)
+Recommends: python-glade2,
+            python-imaging,
+            python-tk (>= 2.5.2-1.1)
 Enhances: ipython
 Suggests: dvipng,
           gir1.2-gtk-3.0,
+          ghostscript,
+          inkscape,
           ipython (>= 0.6.3),
           librsvg2-common,
           python-cairo,
           python-configobj,
           python-excelerator,
-          python-fltk,
           python-gobject,
           python-gtk2,
           python-matplotlib-doc,
+          python-nose,
           python-qt4,
           python-scipy,
           python-sip,
+          python-tornado,
           python-traits (>= 2.0),
           python-wxgtk2.8,
           texlive-extra-utils,
-          texlive-latex-extra
+          texlive-latex-extra,
+          ttf-staypuft
 Description: Python based plotting system in a style similar to Matlab
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to
@@ -106,21 +120,27 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-tk
+Recommends: python3-imaging,
+            python3-tk
 Enhances: ipython3
 Suggests: dvipng,
           gir1.2-gtk-3.0,
+          ghostscript,
+          inkscape,
           ipython3,
           librsvg2-common,
           python-matplotlib-doc,
           python3-cairo,
           python3-gi,
           python3-gobject,
+          python3-nose,
           python3-pyqt4,
           python3-scipy,
           python3-sip,
+          python3-tornado,
           texlive-extra-utils,
-          texlive-latex-extra
+          texlive-latex-extra,
+          ttf-staypuft
 Description: Python based plotting system in a style similar to Matlab (Python 3)
  Matplotlib is a pure Python plotting library designed to bring
  publication quality plotting to Python with a syntax familiar to

=== debian/rules ===
--- 
+++ 
@@ -91,6 +91,10 @@
 	# restore "pristine" doc/matplotlibrc
 	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc
 
+	# remove doc symlinks to examples directory
+	rm -rf doc/mpl_examples
+	rm -rf doc/mpl_toolkits/axes_grid/examples
+
 # install
 install-arch: build-arch $(PY2VERS:%=install-%-stamp) $(PY3VERS:%=install-py3-%-stamp)
 	dh_testdir
@@ -104,7 +108,7 @@
 
 	python$* ./setup.py install_lib \
 		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/ --no-compile
-	python$* ./setupegg.py install_egg_info \
+	python$* ./setup.py install_egg_info \
 		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/
 	python$*-dbg ./setup.py install_lib \
 		-d $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/ --no-compile
@@ -171,11 +175,11 @@
 	dh_installchangelogs -i CHANGELOG
 	dh_installdocs -p$(pd) -i doc/build/html/ doc/build/latex/Matplotlib.pdf
 	# remove pyc file from doc
-	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs rm -f
 	dh_installexamples -p$(pd) -i examples/*
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
 	dh_link -i
 	dh_sphinxdoc
+	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
 	dh_lintian -i
 	dh_fixperms -i
 	dh_installdeb -i
@@ -187,7 +191,7 @@
 	dh_testdir -a
 	dh_testroot -a
 	dh_installchangelogs -a CHANGELOG
-	dh_installdocs -p$(p) -a README.txt TODO
+	dh_installdocs -p$(p) -a README.rst TODO
 	# make python scripts starting with '#!' executable
 	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
 		if head -1 $$i | grep -q '^#!'; then \

=== debian/tests/control ===
Tests: tkagg
Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-tk, python-tk-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-tk, python3-tk-dbg, python3-numpy, python3-numpy-dbg

Tests: qt4agg
Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-qt4, python-qt4-dbg, python-numpy, python-numpy-dbg, python3-matplotlib, python3-matplotlib-dbg, python3-pyqt4, python3-pyqt4-dbg, python3-numpy, python3-numpy-dbg

Tests: wxagg
Depends: xauth, xvfb, python-matplotlib, python-matplotlib-dbg, python-wxgtk2.8, python-wxgtk2.8-dbg, python-numpy, python-numpy-dbg

## matplotlib 1.4.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHON = `which python`
 VERSION = `${PYTHON} setup.py --version`
 
-DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README TODO license	\
+DISTFILES = API_CHANGES KNOWN_BUGS INSTALL README license	\
 	CHANGELOG Makefile INTERACTIVE			\
 	MANIFEST.in lib lib/matplotlib lib/dateutil lib/pytz examples setup.py
 
@@ -49,6 +49,6 @@
 
 
 test-coverage:
-	${PYTHON} tests.py --with-coverage --cover-package=matplotlib	
+	${PYTHON} tests.py --with-coverage --cover-package=matplotlib

=== debian/changelog ===
matplotlib (1.4.2-3.1ubuntu1) wily; urgency=medium

  [ Barry Warsaw ]
  * d/rules: Be prepared to build for multiple Python 3 versions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jul 2015 21:03:46 +0000

matplotlib (1.4.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2013-1424: printf buffer overrun (closes: #775691).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 13 Feb 2015 23:16:11 +0000

matplotlib (1.4.2-3) unstable; urgency=medium

  * debian/patches/test_backend_with_timeout.patch
    - fixed patch to correctly terminating run-away processes during backend
      checks; Closes: #767210

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Oct 2014 23:31:03 +0000

matplotlib (1.4.2-2) unstable; urgency=medium

  * debian/patches/1a182a98f76ce8c624bbaf3882e40d799e867338.patch
    - fix a possible deadlock when identifying Qt backends; thanks to Julien
      Cristau for the report; Closes: #767210

 -- Sandro Tosi <morph@debian.org>  Wed, 29 Oct 2014 23:18:01 +0000

matplotlib (1.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Oct 2014 00:26:25 +0100

matplotlib (1.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Oct 2014 00:50:50 +0100

matplotlib (1.4.1~rc1-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/control
    - bump deps to WX 3.0; thanks to Olly Betts for the report; Closes: #759094
    - uses cairocffi instead of cairo, preferred upstream; thanks to
      Jean-Christophe Jaskula for the report; Closes: #764359
    - tighten deps on python-six to >= 1.4
    - switch me to Maintainer (team to Uploaders)
  * debian/tests/backend-base
    - help mpl turn off interactive mode

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Oct 2014 00:17:18 +0100

matplotlib (1.4.0-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * Switch to dh_python2
  * debian/copyright
    - extend packaging copyright years
    - updated to new upstream code
  * debian/control
    - updated b-d to new requirements
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/rules
    - export XDG_RUNTIME_DIR to prevent build stuck
    - removed TODO installation in -doc package, no longer shipped
  * debian/patches/*
    - refreshed, removed patches merged upstream
  * debian/python-matplotlib-doc.lintian-overrides
    - override privacy-breach-piwik error, Piwik is only activated if it's the
      main website
  * debian/python-matplotlib-data.install
    - install stylelib directory

  [ Julian Taylor ]
  * debian/control:
    - update python{,3}-pyparsing dependency to the required version >= 1.5.6

 -- Sandro Tosi <morph@debian.org>  Fri, 12 Sep 2014 01:09:53 +0100

matplotlib (1.3.1-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - added python3-gi-cairo to Suggest for py3k package; thanks to Arnaud
      Gardelein for the report; Closes: #730728
    - fix Recommends to python3-pil; thanks to Ryo IGARASHI for the report and
      patch; Closes: #743899
  * debian/python-matplotlib.preinst
    - removed, no longer needed

  [ Julian Taylor ]
  * debian/patches/fix_infinite_recursion.patch
    - fix infinite recursion in units.py with ndarray subclasses
      (Closes: #729590)
  * debian/patches/gtk3{agg,cairo}_check_no-multiprocessing.patch
    - do not use backend_gtk3{cairo,agg}_internal_check with multiprocessing.
      Workaround to resolve the deadlock in setup.py
  * debian/patches/multiarch-tktcl.patch
    - fixed missing tkagg due to absent path to multiarch tktcl
      (Closes: #750630)
  * debian/{control,rules}
    - depend and use packaged jquery instead of shipped minified variants
      (Closes: #737438)
  * debian/control
    - added python{,3}-tk-dbg build depends for debugging enabled tk backend
      (Closes: #714948)
    - updated build-depends to use tcl/tk 8.6 to match what python-tk is
      using (Closes: #752548)
  * debian/tests
    - added autopkg tests for the basic backends (Closes: #734988)
  * debian/rules
    - run xvfb-run with the -a flag to allow multiple instances at the same
      time

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jul 2014 15:48:15 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7),
+               dh-python,
                dvipng,
                ghostscript,
                graphviz,
-               inkscape,
+               inkscape,,
                libfreetype6-dev,
                libgtk2.0-dev,
                libpng-dev,
@@ -18,30 +19,34 @@
                python3-all-dev,
                python-dateutil,
                python3-dateutil,
-               python-cairo,
-               python3-cairo,
+               python-cairocffi,
+               python3-cairocffi,
                python-gi,
                python3-gi,
                python-gtk2-dev,
                python-imaging,
+               python-mock,
+               python3-mock,
                python-nose,
                python3-nose,
-               python-numpy (>= 1:1.5.1-4),
-               python-numpy-dbg (>= 1:1.5.1-4),
+               python-numpy,
+               python-numpy-dbg,
                python-numpydoc,
                python3-numpy,
                python3-numpy-dbg,
                python-pkg-resources,
                python3-pkg-resources,
-               python-pyparsing,
-               python3-pyparsing,
+               python-pyparsing (>= 1.5.6),
+               python3-pyparsing (>= 1.5.6),
                python-qt4,
                python3-pyqt4,
+               python-pyqt5,
+               python3-pyqt5,
                python-setuptools,
                python3-setuptools,
-               python3-six,
+               python-six (>= 1.4),
+               python3-six (>= 1.4),
                python-sphinx (>= 1.0.7+dfsg),
-               python-support (>= 1.0.0),
                python-tk (>= 2.5.2-1.1),
                python-tk-dbg (>= 2.5.2-1.1),
                python3-tk,
@@ -50,7 +55,7 @@
                python3-tornado,
                python-tz,
                python3-tz,
-               python-wxgtk2.8,
+               python-wxgtk3.0,
                python-xlwt,
                tcl8.6-dev,
                texlive-fonts-recommended,
@@ -62,7 +67,7 @@
                zlib1g-dev
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://matplotlib.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/matplotlib/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/matplotlib/trunk/
@@ -72,8 +77,10 @@
 Architecture: any
 Depends: python-dateutil,
          python-matplotlib-data (>= ${source:Version}),
-         python-pyparsing,
+         python-pyparsing (>= 1.5.6),
          python-tz,
+         libjs-jquery,
+         libjs-jquery-ui,
          ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
@@ -87,7 +94,7 @@
           inkscape,
           ipython (>= 0.6.3),
           librsvg2-common,
-          python-cairo,
+          python-cairocffi,
           python-configobj,
           python-excelerator,
           python-gobject,
@@ -99,7 +106,7 @@
           python-sip,
           python-tornado,
           python-traits (>= 2.0),
-          python-wxgtk2.8,
+          python-wxgtk3.0,
           texlive-extra-utils,
           texlive-latex-extra,
           ttf-staypuft
@@ -114,13 +121,15 @@
 Architecture: any
 Depends: python3-dateutil,
          python-matplotlib-data (>= ${source:Version}),
-         python3-pyparsing,
-         python3-six,
+         python3-pyparsing (>= 1.5.6),
+         python3-six (>= 1.4),
          python3-tz,
+         libjs-jquery,
+         libjs-jquery-ui,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-imaging,
+Recommends: python3-pil,
             python3-tk
 Enhances: ipython3
 Suggests: dvipng,
@@ -130,8 +139,9 @@
           ipython3,
           librsvg2-common,
           python-matplotlib-doc,
-          python3-cairo,
+          python3-cairocffi,
           python3-gi,
+          python3-gi-cairo,
           python3-gobject,
           python3-nose,
           python3-pyqt4,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export XDG_RUNTIME_DIR=/tmp
 
 PY2VERS := $(shell pyversions -v -r debian/control)
 PY3VERS := $(shell py3versions -v -r debian/control)
@@ -42,7 +44,7 @@
 					print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run python$* -c "import matplotlib as m ; m.test(verbosity=1)"
+		xvfb-run -a python$* -c "import matplotlib as m ; m.test(verbosity=1)"
 
 	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
 	                                    from distutils.core import Distribution ; \
@@ -51,7 +53,7 @@
 					    print(b.build_platlib)") \
 	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
 	MPLCONFIGDIR=. \
-		xvfb-run python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
+		xvfb-run -a python$*-dbg -c "import matplotlib as m ; m.test(verbosity=1)"
 	rm -f matplotlibrc
 endif
 
@@ -125,11 +127,26 @@
 	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/
 
+	# replace minified jquery with packaged version and hope it works
+	for i in $(PY2VERS); do \
+	    dh_link -ppython-matplotlib usr/share/javascript/jquery/jquery.min.js \
+	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
+	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
+	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
+	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
+	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
+	done
+
 	touch $@
 
 install-py3-%-stamp: build-%-stamp
 	dh_testdir
 	dh_testroot
+
+	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
+	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
+	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css
+
 
 	python$* ./setup.py install_lib \
 		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ --no-compile
@@ -149,6 +166,16 @@
 
 	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
 	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/
+
+	# replace minified jquery with packaged version and hope it works
+	for i in $(PY3VERS); do \
+	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
+	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
+	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
+	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
+	    dh_link  -ppython3-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
+	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
+	done
 
 	touch $@
 
@@ -179,41 +206,3 @@
 	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -Xobjects.inv
 	dh_link -i
 	dh_sphinxdoc
-	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
-	dh_lintian -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
-
-binary-arch: build-arch install-arch
-	dh_testdir -a
-	dh_testroot -a
-	dh_installchangelogs -a CHANGELOG
-	dh_installdocs -p$(p) -a README.rst TODO
-	# make python scripts starting with '#!' executable
-	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
-		if head -1 $$i | grep -q '^#!'; then \
-			chmod 755 $$i; \
-			echo "made executable: $$i"; \
-		fi; \
-	done
-	dh_pysupport -a
-	dh_python3 -a
-	dh_link -a
-	dh_lintian -a
-	dh_strip -a -p$(p) --dbg-package=$(pdbg)
-	dh_strip -a -p$(p3) --dbg-package=$(p3dbg)
-	# fix python-debug-in-wrong-location lintian warning
-	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
-	dh_compress -a
-	dh_fixperms -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
